package cn.com.qmth.examcloud.core.questions.base;

/**
 * 文件存储相关常量
 */
public interface FileConstants {

    /**
     * 文件路径分隔符
     */
    String FILE_PATH_SEPARATOR = "/";

    String TEMP_FILE_EXPORT = "docxExport/";

    /**
     * 导出模板文件路径
     * /question/export-template/{rootOrgId}/{fileName}.zip(.ftl)
     */
    String EXPORT_TEMPLATE = "/question/export-template/%s/%s";

    /**
     * 试题音频文件路径
     * /comm-ques-bank/prod/audio/{fileName}.mp3
     */
    String RADIO_UPLOAD_PATH = "/comm-ques-bank/prod/audio/%s";

    /**
     * 客观题导出结构文件路径
     * /comm-ques-bank/prod/exam-paper-file/{rootOrgId}/{fileName}.xlsx
     */
    String OBJECTIVE_QUESTION_STRUCTURES = "/comm-ques-bank/prod/exam-paper-file/%s/%s";

    /**
     * 主观题导出结构文件路径
     * /comm-ques-bank/prod/exam-paper-file/{rootOrgId}/{fileName}.xlsx
     */
    String SUBJECTIVE_QUESTION_STRUCTURES = "/comm-ques-bank/prod/exam-paper-file/%s/%s";

    /**
     * 机考文件路径
     * /comm-ques-bank/prod/exam-paper-file/{rootOrgId}/{fileName}.zip
     */
    String COMPUTER_TEST_FILE = "/comm-ques-bank/prod/exam-paper-file/%s/%s";

    /**
     * 试卷或答案Word文件路径
     * /comm-ques-bank/prod/exam-paper-file/{rootOrgId}/{fileName}.docx
     */
    String PAPER_OR_ANSWER_FILE = "/comm-ques-bank/prod/exam-paper-file/%s/%s";

}
